package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class PartitionIOConfiguration {
    private Metadata metadata;
    private String maximumVirtualIOSlots;
    private ProfileIOSlots profileIOSlots;
    private String currentMaximumVirtualIOSlots;

    public PartitionIOConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumVirtualIOSlots() {
        return maximumVirtualIOSlots;
    }

    public void setMaximumVirtualIOSlots(String maximumVirtualIOSlots) {
        this.maximumVirtualIOSlots = maximumVirtualIOSlots;
    }

    public ProfileIOSlots getProfileIOSlots() {
        return profileIOSlots;
    }

    public void setProfileIOSlots(ProfileIOSlots profileIOSlots) {
        this.profileIOSlots = profileIOSlots;
    }

    public String getCurrentMaximumVirtualIOSlots() {
        return currentMaximumVirtualIOSlots;
    }

    public void setCurrentMaximumVirtualIOSlots(String currentMaximumVirtualIOSlots) {
        this.currentMaximumVirtualIOSlots = currentMaximumVirtualIOSlots;
    }

    @Override
    public String toString() {
        return "PartitionIOConfiguration [metadata=" + metadata + ", maximumVirtualIOSlots=" + maximumVirtualIOSlots
            + ", profileIOSlots=" + profileIOSlots + ", currentMaximumVirtualIOSlots="
            + currentMaximumVirtualIOSlots + "]";
    }
}
